1. Pl4ter's Avatar
    Hello Everyone,

    I have a Jailbroken iPad 2 16gb Wifi on 4.3.3 trying to update to 5.0 But for some reason, it kept giving me a error message saying "This Device isn't Eligible for the request build"

    Anyone know how to fix this problem? Thanks!

    -B
    2011-10-13 08:07 AM
  2. cipkuk's Avatar
    Try to restore your ipad from itunes first then upgrade to ios 5. Hope it'll work for u
    2011-10-14 10:26 PM
  3. Simon's Avatar
    Open tiny umbrella
    Click on advanced
    deselect the box that says "set hosts to cydia on exit"
    Close tiny umbrella and proceed with the restore
    2011-10-15 02:13 AM
  4. Broomhead's Avatar
    Yep, that works Simon. Thanks for all your help
    2011-10-15 02:58 AM
LINK TO POST COPIED TO CLIPBOARD